#!/usr/bin/perl

use strict;
use warnings;
use ExtUtils::MakeMaker;

die "Please, ignore $0 - this file is not for you.".
    " Use INSETALLDEPS.sh.\n"
  unless defined $ENV{CPANM_INSTALLDEPS_IS_RUNNING};

WriteMakefile(
    NAME             => 'EmailNotifier',
    VERSION          => 0.02,
    MIN_PERL_VERSION => 5.010,
    PREREQ_PM        => {
      'Mail::POP3Client' => '2.18',
      'Date::Parse' => '0.4',
      'JSON::XS' => '2.32',
      'File::Slurp' => '9999.19',
      'Getopt::Long' => '2.38',
      'IPC::Run' => '0.91',
    },
    PREREQ_PRINT => 1,
    dist         => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean => { FILES => 'EmailNotifier-*' },
    test  => { TESTS => 't/*.t' },
);
